Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1043649 - make it easier for users to set up installing from a copr repo
Summary: make it easier for users to set up installing from a copr repo
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Copr
Classification: Community
Component: frontend
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-16 20:10 UTC by Ryan Lerch
Modified: 2014-02-06 08:32 UTC (History)
0 users

Fixed In Version: copr-1.20-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-06 08:32:02 UTC


Attachments (Terms of Use)

Description Ryan Lerch 2013-12-16 20:10:52 UTC
currently, copr creates repo files that are hard-coded with the fedora version number, for example, from http://copr.fedoraproject.org/coprs/ryanlerch/inkscape-unstable/repo/fedora-18-i386/

"""
baseurl=http://copr-be.cloud.fedoraproject.org/results/ryanlerch/inkscape-unstable/fedora-18-$basearch/
"""

it would be much better for the end-user if there was only one .repo file to download for a copr project, for example:

"""
baseurl=http://copr-be.cloud.fedoraproject.org/results/ryanlerch/inkscape-unstable/fedora-$releasever-$basearch/
"""

furthermore, would it also be possible for copr, when creating a new project, to create a "release" RPM for that project that installs the .repo file in /etc/yum.repos.d/ so a user can just install that rpm to set up the repo on their system.

Comment 1 Miroslav Suchý 2013-12-17 08:02:06 UTC
We had this in past. But there was problem with EPEL repos. Because RHEL does not have in $releasever just number. It have there e.g. "6-Server" or "6-Workstation".
Which does not match with epel-6-$basearch.

So only possible solution is some heuristic in style:
  if mock_chroot[0] == "fedora"
     mock_chroot[1] == "$releasever"

ad second issue - yes, it is in plan, but if you want to track it please file another RFE. As one issue, one BZ.

Comment 2 Miroslav Suchý 2013-12-17 13:09:37 UTC
logic from #1 implemented in commit 0d0b705
WebUI will still display for various Fedoras link to repo file for each Fedora, but the content will be same. And usage of $releasever will easy upgrade.

Comment 3 Ryan Lerch 2013-12-17 16:04:39 UTC
will this change current copr projects? 

or will the change only be for new projects created going forward?

Comment 4 Miroslav Suchý 2013-12-17 16:13:15 UTC
It will change current projects.

But after I deploy that code into production (i.e. when I close this BZ).


Note You need to log in before you can comment on or make changes to this bug.